Cloud Flare Pages deploy Error please help

|18:07:34.912|Success: Finished cloning repository files|
|---|---|
|18:07:35.667|Installing dependencies|
|18:07:35.679|Python version set to 2.7|
|18:07:39.215|v12.18.0 is already installed.|
|18:07:40.465|Now using node v12.18.0 (npm v6.14.4)|
|18:07:40.725|Started restoring cached build plugins|
|18:07:40.741|Finished restoring cached build plugins|
|18:07:41.322|Attempting ruby version 2.7.1, read from environment|
|18:07:45.157|Using ruby version 2.7.1|
|18:07:45.525|Using PHP version 5.6|
|18:07:45.525|Started restoring cached ruby gems|
|18:07:45.542|Finished restoring cached ruby gems|
|18:07:45.542|Installing gem bundle|
|18:07:45.828|[DEPRECATED] The `--path` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set path '/opt/buildhome/cache/bundle'`, and stop using this flag|
|18:07:45.983|[DEPRECATED] The --binstubs option will be removed in favor of `bundle binstubs`|
|18:07:48.691|Fetching gem metadata from https://rubygems.org/..........|
|18:07:48.825|Fetching gem metadata from https://rubygems.org/.|
|18:07:48.971|Resolving dependencies...|
|18:07:49.020|sass-embedded-1.57.1-x86_64-linux-gnu requires rubygems version >= 3.3.22, which|
|18:07:49.021|is incompatible with the current version, 3.1.2|
|18:07:49.064|Error during gem install|
|18:07:49.068|Failed: build command exited with code: 1|
|18:07:49.875|Failed: an internal error occurred|

I cannot built site. Always give me internal error.

Original gemfile is 
source "https://rubygems.org"

gemspec

I change

source 'https://rubygems.org'
gem 'jekyll'
gem "jekyll-sass-converter", "~> 2.0"

Erorr still de

Using ruby version 2.7.1

What version of Ruby do you need for your app? Pages supports up to 2.7.5 via the RUBY_VERSION env var as per Build configuration · Cloudflare Pages docs.

If you need Ruby 3.x, then unfortunately this isn’t available yet. It should be available in the new build image, scheduled for Q1 this year.

1 Like

How Can check ruby version? Site was deploy okay before. Suddenly stop working 16 days ago